Skip to main content
GET
Retrieve a merchant by internal ID (merch_xxx) or your external reference_merchant_id.

Headers

string
required
Bearer token authentication.
string
required
Must be 2026-03-01.

Path Parameters

string
required
The merchant ID (e.g., merch_1765503753979c37c5f24) or your reference_merchant_id (e.g., my-seller-123).

Response

string
The internal merchant ID.
string
Always tax.merchant.
string
Your external ID for this merchant.
string
The merchant’s business name.
string
The merchant’s email address.
object
The merchant’s default business address.
array
Array of tax IDs.
string
Either active or deleted.
boolean
Whether this merchant was created in test mode.
number
Unix timestamp of creation.
number
Unix timestamp of last update.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
enum<string>
required
Available options:
2026-01-01

Path Parameters

merchant_id
string
required

The merchant ID (merch_xxx) or your reference_merchant_id

Response

Merchant details

id
string

The internal merchant ID

Example:

"merch_1765503753979c37c5f24"

object
string
Example:

"tax.merchant"

reference_merchant_id
string

Your external ID for this merchant

Example:

"my-seller-123"

name
string
Example:

"Acme Seller Co"

email
string
Example:

"seller@example.com"

default_address
object

Merchant's default business address. Uses address_ prefix for field names.

tax_ids
object[]
status
enum<string>
Available options:
active,
deleted
Example:

"active"

testmode
boolean

Whether this merchant was created in test mode

created_at
number

Unix timestamp of creation

updated_at
number

Unix timestamp of last update

metadata
object

You can store arbitrary keys and values in the metadata. At most 50 keys; each key at most 255 characters; each value must be a string of at most 255 characters (non-string values are rejected).